Bug 426290 - /class/input/input number too high when using USB hub
/class/input/input number too high when using USB hub
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-19 15:08 EST by Roland Wolters
Modified: 2009-01-09 00:33 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:33:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages output during a problematic session (4.42 KB, text/plain)
2007-12-19 15:08 EST, Roland Wolters
no flags Details

  None (edit)
Description Roland Wolters 2007-12-19 15:08:43 EST
Description of problem:
I use an USB hub to manage the USB devices on my computer. Notable input 
devices are the mouse and the keyboard. Sometimes when plugging in an input 
device the input number assigned with that device exceeds the maximum of 32:

Dec 19 20:34:52 perricum kernel: input: Darfon USB Combo Keyboard 
as /class/input/input68
Dec 19 20:34:52 perricum kernel: evdev: no more free evdev devices
Dec 19 20:34:52 perricum kernel: input: failed to attach handler evdev to 
device input68, error: -23

As a result the keyboard/mouse doesn't work properly: the pressed keys are not 
detected right or not at all, and the num-lock light flashes sometimes. This 
makes the system unusable.

I attached the entire log output to this bug report: the first message is 
generated by attaching the USB hub (new high speed USB device), afterwards I 
attached the keyboard (new low speed USB device).

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.3.0.0-36.fc8
xorg-x11-drv-evdev-1.1.2-5.fc8
$ uname -r                                                                                                                                                                
(12-19 20:59)
2.6.23.8-63.fc8

How reproducible:
Use the USB hub, connect a keyboard, and check if there are again problems 
with the evdev number.

Steps to Reproduce:
1. connect the USB hub
2. connect the keyboard
3. check for the device numbers
  
Actual results:
The assigned input device number is too high.

Expected results:
It should just work.

Additional info:
This is about external input devices on a laptop - the laptop already has a 
touch-pad and a keyboard so in summary these are four input devices. However, 
that does not justifies a number like 68! Is there a way to check which 
devices were allocated to which number?
Comment 1 Roland Wolters 2007-12-19 15:08:43 EST
Created attachment 290053 [details]
/var/log/messages output during a problematic session
Comment 2 Roland Wolters 2007-12-19 15:15:54 EST
Additional note: the error seems to appear first at the device input number 
42. This is easily reproducible by detaching and re-attaching the USB hub 
again and again. The device number increases every time by two (because there 
are two devices, mouse and keyboard, attached).

I wonder why the device number increases all the time, and why old device 
numbers are not used?
Comment 3 Bug Zapper 2008-11-26 04:04:56 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 00:33:34 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.